=== added directory 'bin'
=== renamed file 'utilities/advertisePort.py' => 'bin/desktopcouch-service' (properties changed: -x to +x)
=== renamed file 'utilities/stop_local_couchdb.py' => 'bin/desktopcouch-stop'
=== modified file 'desktopcouch/__init__.py'
--- desktopcouch/__init__.py	2009-07-24 18:43:14 +0000
+++ desktopcouch/__init__.py	2009-07-24 19:32:52 +0000
@@ -33,7 +33,7 @@
             # pidfile is stale
             # start CouchDB by running the startup script
             print "Desktop CouchDB is not running; starting it."
-            import start_local_couchdb
+            from desktopcouch import start_local_couchdb
             start_local_couchdb.start_couchdb()
             time.sleep(2) # give the process a chance to start
 

=== renamed file 'utilities/start_local_couchdb.py' => 'desktopcouch/start_local_couchdb.py'
--- utilities/start_local_couchdb.py	2009-07-22 21:04:40 +0000
+++ desktopcouch/start_local_couchdb.py	2009-07-24 19:32:52 +0000
@@ -103,7 +103,10 @@
 def write_bookmark_file():
     """Write out an HTML document that the user can bookmark to find their DB"""
     bookmark_file = os.path.join(local_files.DIR_DB, "couchdb.html")
-    bookmark_template = os.path.join(os.path.split(__file__)[0], "couchdb.tmpl")
+    if os.path.exists("../utilities/couchdb.html"):
+        bookmark_template = os.path.join(os.path.split(__file__)[0], "couchdb.tmpl")
+    else:
+        bookmark_template = os.path.join(os.path.split(__file__)[0], "/usr/share/desktopcouch/couchdb.tmpl")
     fp = open(bookmark_template)
     html = fp.read()
     fp.close()

=== added file 'org.desktopcouch.CouchDB.service'
--- org.desktopcouch.CouchDB.service	1970-01-01 00:00:00 +0000
+++ org.desktopcouch.CouchDB.service	2009-07-24 19:32:52 +0000
@@ -0,0 +1,3 @@
+[D-BUS Service]
+Name=org.desktopcouch.CouchDB
+Exec=/usr/bin/desktopcouch-service

=== modified file 'start-desktop-couchdb.sh'
--- start-desktop-couchdb.sh	2009-07-22 21:05:19 +0000
+++ start-desktop-couchdb.sh	2009-07-24 19:32:52 +0000
@@ -5,8 +5,8 @@
     PYTHONPATH=.
 fi
 
-PYTHONPATH=$PYTHONPATH python utilities/start_local_couchdb.py
+PYTHONPATH=$PYTHONPATH python desktopcouch/start_local_couchdb.py
 
 if [ "$DBUS_SESSION_BUS_ADDRESS" ]; then
-    PYTHONPATH=$PYTHONPATH python utilities/advertisePort.py & # background, 'cos a mainloop
+    PYTHONPATH=$PYTHONPATH python bin/desktopcouch-service & # background, 'cos a mainloop
 fi

=== modified file 'stop-desktop-couchdb.sh'
--- stop-desktop-couchdb.sh	2009-07-22 21:05:19 +0000
+++ stop-desktop-couchdb.sh	2009-07-24 19:32:52 +0000
@@ -6,7 +6,7 @@
 fi
 
 # Stop Desktop CouchDB itself
-PYTHONPATH=$PYTHONPATH python utilities/stop_local_couchdb.py
+PYTHONPATH=$PYTHONPATH python bin/desktopcouch-stop
 
 # Stop advertising the slave's port over D-Bus
 if [ "$DBUS_SESSION_BUS_ADDRESS" ]; then

